//---------------------------------------------------------------------------
#include <stdio.h>
#include <vcl.h>
#include <Registry.hpp>
#pragma hdrstop

#include "main_dialog.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

TMainDialog *MainDialog;

//---------------------------------------------------------------------------
__fastcall TMainDialog::TMainDialog(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TMainDialog::StartButtonClick(TObject *Sender)
{
        if(strcmp(SpeedLimitField->Text.c_str(),"")==0 ||
           strcmp(FeedMaxField->Text.c_str(),"")==0 ||
           strcmp(AField->Text.c_str(),"")==0)
        {
           ShowMessage("  ");
           return;
        }

        // ,       
        char s[32];
        sprintf(s,"%s",SpeedLimitField->Text.c_str());
        for(int i=0; i<(int)strlen(s); i++)
        {
                if(isdigit(s[i])==0)
                {
                   ShowMessage("  ");
                   SpeedLimitField->Clear(); return;
                }
        }
        sprintf(s,"%s",FeedMaxField->Text.c_str());
                for(int i=0; i<(int)strlen(s); i++)
        {
                if(isdigit(s[i])==0)
                {
                   ShowMessage("  ");
                   FeedMaxField->Clear(); return;
                }
        }
        sprintf(s,"%s",AField->Text.c_str());
                for(int i=0; i<(int)strlen(s); i++)
        {
                if(isdigit(s[i])==0)
                {
                   ShowMessage("  ");
                   AField->Clear(); return;
                }
        }

        char ss[300],*param;
        char defo[100]="", *substr;
        int i=0;
        FILE *f;
        char PTP_file[100];
        //       tmp.txt
        //     DEFO
        f=fopen("c:\\temp\\tmp.txt","r");
        if(f == NULL)
        {
                Application->MessageBox("     c:\\temp\\tmp.txt",
                                         "   new_gpm", MB_OK);
                return;
        }
        param = fgets(ss,299,f);
        fclose(f);

        substr = strstr(param,"-Defo");
        if(substr == NULL)
        {
                Application->MessageBox("  :  \"-Defo=\"",
                                         "   new_gpm", MB_OK);
                return;
        }

        while( (*(substr + 6 + i) != ' ') && (*(substr + 6 + i) != '\0'))
        {
             defo[i++]=*(substr + 6 + i);
        }
        defo[i] = '\0';

        //      UGII_BASE_DIR
        TRegistry *R = new (TRegistry);
        R->RootKey = HKEY_LOCAL_MACHINE;
        R->OpenKeyReadOnly("\\SYSTEM\\CurrentControlSet\\Control\\Session Manager\\Environment");
        AnsiString as = R->ReadString("UGII_BASE_DIR");

        //  GPM
        char str[600];
        sprintf(str,"%s\\mach\\auxiliary\\gpm %s",as.c_str(),param);
        system(str);

        /*   ptp-  up- */
        sprintf(PTP_file,"%s.ptp",defo);
        sprintf(UP_file,"%s.up",defo);

        // ,   GPM ptp-
        f=fopen(PTP_file,"r");
        if(f == NULL)
        {
                Application->MessageBox("GPM   ptp-",
                                         "   new_gpm", MB_OK);
                return;
        }
        fclose(f);

        /*  PTP-  UP */
        SPEED_LIMIT = atoi(SpeedLimitField->Text.c_str());
        FEED_MAX = atoi(FeedMaxField->Text.c_str());
        a = atoi(AField->Text.c_str());

        PtpToUp(PTP_file,UP_file);
        Application->Terminate();
}
//---------------------------------------------------------------------------

void __fastcall TMainDialog::ExitButtonClick(TObject *Sender)
{
        Close();
}
//---------------------------------------------------------------------------


